Bug 739650 - [ipa webui] IPA Server Configuration :: Issue with Default Size Limit and Default User Group
Summary: [ipa webui] IPA Server Configuration :: Issue with Default Size Limit and Def...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:44 UTC by Jenny Severance
Modified: 2011-12-06 18:31 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-09-19 17:44:24 UTC
Description of problem:
The group selection drop down list for Server Configuration,  Default User Group ... if you set the Search Size Limit lower than the number of existing groups ... ipausers can't be found and can't save any new configuration ... 


example ... only the default 3 groups exist ... set the size limit to 1 and save the configuration
If you try to undo and the original value is not in the list it won't undo
 and you can't navigate out of the page because of unsaved changes ... you have to refind the ipausers group ... which you didn't intend to change

subsequently accessing the configuration page, sets the Default User Group to blank and sets the "undo" option ... you can not navigate away from the page "This page has unsaved changes. Please save or revert."  - you have to reset the configuration option to the same value before you can exit the page


Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. See description
2.
3.
  
Actual results:
Forced to reset Default User Group every time to visit configuration page

Expected results:
The current value of the Default User Group would be displayed properly.

Additional info:

Comment 1 Rob Crittenden 2011-09-19 18:56:26 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1819

Comment 4 Martin Kosek 2011-11-01 09:23:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 5 Namita Soman 2011-11-04 15:34:36 UTC
verified using ipa-server-2.1.3-8.el6.x86_64

changed Search Size Limit to 1
update
Move to Users tab
Back to Configuration, and original Default User Group is still set
can change any  of the config values and hit update or undo with no errors

Comment 6 errata-xmlrpc 2011-12-06 18:31:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.